View Issue Details

IDProjectCategoryView StatusLast Update
0002200Industrial-Craft²tools / electric itemspublic2017-06-27 19:03
Reporterthe.despoAssigned ToChocohead 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSLinux Debian 8.7OS Version3.16.0-4-amd64
Product Version 
Target VersionFixed in VersionBuilds for MC 1.11.x 
Summary0002200: Server Crash while use the Tool Box or Cropnalyzer
DescriptionThe Server is crashing if you have open the inventory of an tool box / cropnalyzer and try to pick up these from players shortcut bar.
Steps To Reproduceget a tool box or cropnalyzer, open his inventory and try to pick up these items from players shortcut bar.
Additional InformationThis issue comes up at the beta of IC2 (industrialcraft-2-2.7.33-ex111) and also at the release version of IC2 (industrialcraft-2-2.7.59-ex111)

Server crash report is attached.
TagsNo tags attached.
Minecraft Version1.11.2

Relationships

related to 0002193 resolvedChocohead Items with GUI cause server crash 

Activities

the.despo

2017-06-05 07:49

reporter  

crash-2017-06-05_09.20.44-server.txt (8,093 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  MicdoodlePlugin (MicdoodleCore-1.11.2-4.0.0.106.jar)
  IC2core (industrialcraft-2-2.7.33-ex111.jar)
Contact their authors BEFORE contacting forge

// This is a token for 1 free hug. Redeem at your nearest Mojangsta: [~~HUG~~]

Time: 6/5/17 9:20 AM
Description: Ticking player

java.lang.IllegalArgumentException: empty stack: 0xtile.air@0
	at ic2.core.util.StackUtil.copyWithSize(StackUtil.java:1006)
	at ic2.core.item.tool.HandHeldInventory.save(HandHeldInventory.java:215)
	at ic2.core.item.tool.HandHeldInventory.onGuiClosed(HandHeldInventory.java:159)
	at ic2.core.item.ContainerHandHeldInventory.func_75134_a(ContainerHandHeldInventory.java:35)
	at net.minecraft.entity.player.EntityPlayerMP.func_71128_l(EntityPlayerMP.java:939)
	at net.minecraft.entity.player.EntityPlayerMP.func_71053_j(EntityPlayerMP.java:926)
	at net.minecraft.entity.player.EntityPlayerMP.func_70071_h_(EntityPlayerMP.java:284)
	at net.minecraft.world.World.func_72866_a(World.java:1965)
	at net.minecraft.world.WorldServer.func_72866_a(WorldServer.java:840)
	at net.minecraft.world.World.func_72870_g(World.java:1934)
	at net.minecraft.world.WorldServer.func_184147_l(WorldServer.java:650)
	at net.minecraft.world.World.func_72939_s(World.java:1724)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:621)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:720)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:384)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:624)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:482)
	at java.lang.Thread.run(Thread.java:748)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Server thread
Stacktrace:
	at ic2.core.util.StackUtil.copyWithSize(StackUtil.java:1006)
	at ic2.core.item.tool.HandHeldInventory.save(HandHeldInventory.java:215)
	at ic2.core.item.tool.HandHeldInventory.onGuiClosed(HandHeldInventory.java:159)
	at ic2.core.item.ContainerHandHeldInventory.func_75134_a(ContainerHandHeldInventory.java:35)
	at net.minecraft.entity.player.EntityPlayerMP.func_71128_l(EntityPlayerMP.java:939)
	at net.minecraft.entity.player.EntityPlayerMP.func_71053_j(EntityPlayerMP.java:926)
	at net.minecraft.entity.player.EntityPlayerMP.func_70071_h_(EntityPlayerMP.java:284)
	at net.minecraft.world.World.func_72866_a(World.java:1965)
	at net.minecraft.world.WorldServer.func_72866_a(WorldServer.java:840)
	at net.minecraft.world.World.func_72870_g(World.java:1934)

-- Player being ticked --
Details:
	Entity Type: null (micdoodle8.mods.galacticraft.core.entities.player.GCEntityPlayerMP)
	Entity ID: 43974
	Entity Name: thedespo
	Entity's Exact location: -401.52, 71.00, 589.08
	Entity's Block location: World: (-402,71,589), Chunk: (at 14,4,13 in -26,36; contains blocks -416,0,576 to -401,255,591), Region: (-1,1; contains chunks -32,32 to -1,63, blocks -512,0,512 to -1,255,1023)
	Entity's Momentum: 0.00, -0.08, 0.00
	Entity's Passengers: []
	Entity's Vehicle: ~~ERROR~~ NullPointerException: null
Stacktrace:
	at net.minecraft.world.WorldServer.func_184147_l(WorldServer.java:650)
	at net.minecraft.world.World.func_72939_s(World.java:1724)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:621)

-- Affected level --
Details:
	Level name: Corinnis
	All players: 2 total; [GCEntityPlayerMP['behrens22'/12129, l='Corinnis', x=-389.72, y=68.00, z=273.88], GCEntityPlayerMP['thedespo'/43974, l='Corinnis', x=-401.52, y=71.00, z=589.08]]
	Chunk stats: ServerChunkCache: 1824 Drop: 0
	Level seed: 1276398898
	Level generator: ID 06 - BIOMESOP, ver 0. Features enabled: true
	Level generator options: 
	Level spawn location: World: (-196,64,256), Chunk: (at 12,4,0 in -13,16; contains blocks -208,0,256 to -193,255,271), Region: (-1,0; contains chunks -32,0 to -1,31, blocks -512,0,0 to -1,255,511)
	Level time: 47819567 game time, 1431 day time
	Level dimension: 0
	Level storage version: 0x04ABD - Anvil
	Level weather: Rain time: 5267 (now: true), thunder time: 12195 (now: false)
	Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
Stacktrace:
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:720)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:384)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:624)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:482)
	at java.lang.Thread.run(Thread.java:748)

-- System Details --
Details:
	Minecraft Version: 1.11.2
	Operating System: Linux (amd64) version 3.16.0-4-amd64
	Java Version: 1.8.0_131, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 406762776 bytes (387 MB) / 3195535360 bytes (3047 MB) up to 5726797824 bytes (5461 MB)
	JVM Flags: 1 total; -Xmx6144M
	IntCache: cache: 0, tcache: 0, allocated: 3, tallocated: 106
	FML: MCP 9.38 Powered by Forge 13.20.0.2312 28 mods loaded, 28 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	minecraft{1.11.2} [Minecraft] (minecraft.jar) 
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.11.2-13.20.0.2312-universal.jar) 
	UCHIJAAAA	forge{13.20.0.2312} [Minecraft Forge] (forge-1.11.2-13.20.0.2312-universal.jar) 
	UCHIJAAAA	Micdoodlecore{} [Micdoodle8 Core] (minecraft.jar) 
	UCHIJAAAA	animania{1.1.2} [Animania] (animania-1.11.2-1.1.2.jar) 
	UCHIJAAAA	bibliocraft{2.3.1} [BiblioCraft] (BiblioCraft[v2.3.1][MC1.11.2].jar) 
	UCHIJAAAA	biomesoplenty{6.1.0.2238} [Biomes O' Plenty] (BiomesOPlenty-1.11.2-6.1.0.2238-universal.jar) 
	UCHIJAAAA	buildcraftlib{7.99.4} [BuildCraft Lib] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftcore{7.99.4} [BuildCraft] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftfactory{7.99.4} [BC Factory] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcrafttransport{7.99.4} [BC Transport] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftbuilders{7.99.4} [BC Builders] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftenergy{7.99.4} [BC Energy] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftrobotics{7.99.4} [BC Robotics] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftsilicon{7.99.4} [BC Silicon] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	chiselsandbits{13.10} [Chisels & Bits] (chiselsandbits-13.10.jar) 
	UCHIJAAAA	ptrmodellib{1.0.0} [ptrmodellib] (Decocraft-2.4.2_1.11.2.jar) 
	UCHIJAAAA	props{2.4.2} [Decocraft] (Decocraft-2.4.2_1.11.2.jar) 
	UCHIJAAAA	dynmap{2.4-3} [Dynmap] (Dynmap-2.4-forge-1.11.2.jar) 
	UCHIJAAAA	flatcoloredblocks{mc1.11-5.1} [Flat Colored Blocks] (flatcoloredblocks-mc1.11-5.1.jar) 
	UCHIJAAAA	ic2{2.7.33-ex111} [IndustrialCraft 2] (industrialcraft-2-2.7.33-ex111.jar) 
	UCHIJAAAA	galacticraftcore{4.0.0} [Galacticraft Core] (GalacticraftCore-1.11.2-4.0.0.106.jar) 
	UCHIJAAAA	galacticraftplanets{4.0.0} [Galacticraft Planets] (Galacticraft-Planets-1.11.2-4.0.0.106.jar) 
	UCHIJAAAA	jei{4.4.0.283} [Just Enough Items] (jei_1.11.2-4.4.0.283.jar) 
	UCHIJAAAA	mercurius_updater{1.0} [mercurius_updater] (MercuriusUpdater-1.11.2.jar) 
	UCHIJAAAA	harvestcraft{1.11.2g} [Pam's HarvestCraft] (Pam's HarvestCraft 1.11.2h.jar) 
	UCHIJAAAA	worldedit{6.1.6} [WorldEdit] (worldedit-forge-mc1.11-6.1.6-dist.jar) 
	Loaded coremods (and transformers): 
MicdoodlePlugin (MicdoodleCore-1.11.2-4.0.0.106.jar)
  micdoodle8.mods.miccore.MicdoodleTransformer
IC2core (industrialcraft-2-2.7.33-ex111.jar)
  
	Profiler Position: N/A (disabled)
	Player Count: 2 / 20; [GCEntityPlayerMP['behrens22'/12129, l='Corinnis', x=-389.72, y=68.00, z=273.88], GCEntityPlayerMP['thedespo'/43974, l='Corinnis', x=-401.52, y=71.00, z=589.08]]
	Is Modded: Definitely; Server brand changed to 'fml,forge'
	Type: Dedicated Server (map_server.txt)

the.despo

2017-06-05 07:50

reporter  

crash-2017-06-05_09.22.13-server.txt (8,034 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  MicdoodlePlugin (MicdoodleCore-1.11.2-4.0.0.106.jar)
  IC2core (industrialcraft-2-2.7.33-ex111.jar)
Contact their authors BEFORE contacting forge

// I'm sorry, Dave.

Time: 6/5/17 9:22 AM
Description: Ticking player

java.lang.IllegalArgumentException: empty stack: 0xtile.air@0
	at ic2.core.util.StackUtil.copyWithSize(StackUtil.java:1006)
	at ic2.core.item.tool.HandHeldInventory.save(HandHeldInventory.java:215)
	at ic2.core.item.tool.HandHeldInventory.onGuiClosed(HandHeldInventory.java:159)
	at ic2.core.item.tool.HandHeldCropnalyzer.onGuiClosed(HandHeldCropnalyzer.java:61)
	at ic2.core.item.ContainerHandHeldInventory.func_75134_a(ContainerHandHeldInventory.java:35)
	at net.minecraft.entity.player.EntityPlayerMP.func_71128_l(EntityPlayerMP.java:939)
	at net.minecraft.entity.player.EntityPlayerMP.func_71053_j(EntityPlayerMP.java:926)
	at net.minecraft.entity.player.EntityPlayerMP.func_70071_h_(EntityPlayerMP.java:284)
	at net.minecraft.world.World.func_72866_a(World.java:1965)
	at net.minecraft.world.WorldServer.func_72866_a(WorldServer.java:840)
	at net.minecraft.world.World.func_72870_g(World.java:1934)
	at net.minecraft.world.WorldServer.func_184147_l(WorldServer.java:650)
	at net.minecraft.world.World.func_72939_s(World.java:1724)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:621)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:720)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:384)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:624)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:482)
	at java.lang.Thread.run(Thread.java:748)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Server thread
Stacktrace:
	at ic2.core.util.StackUtil.copyWithSize(StackUtil.java:1006)
	at ic2.core.item.tool.HandHeldInventory.save(HandHeldInventory.java:215)
	at ic2.core.item.tool.HandHeldInventory.onGuiClosed(HandHeldInventory.java:159)
	at ic2.core.item.tool.HandHeldCropnalyzer.onGuiClosed(HandHeldCropnalyzer.java:61)
	at ic2.core.item.ContainerHandHeldInventory.func_75134_a(ContainerHandHeldInventory.java:35)
	at net.minecraft.entity.player.EntityPlayerMP.func_71128_l(EntityPlayerMP.java:939)
	at net.minecraft.entity.player.EntityPlayerMP.func_71053_j(EntityPlayerMP.java:926)
	at net.minecraft.entity.player.EntityPlayerMP.func_70071_h_(EntityPlayerMP.java:284)
	at net.minecraft.world.World.func_72866_a(World.java:1965)
	at net.minecraft.world.WorldServer.func_72866_a(WorldServer.java:840)
	at net.minecraft.world.World.func_72870_g(World.java:1934)

-- Player being ticked --
Details:
	Entity Type: null (micdoodle8.mods.galacticraft.core.entities.player.GCEntityPlayerMP)
	Entity ID: 402
	Entity Name: thedespo
	Entity's Exact location: -401.65, 71.00, 587.26
	Entity's Block location: World: (-402,71,587), Chunk: (at 14,4,11 in -26,36; contains blocks -416,0,576 to -401,255,591), Region: (-1,1; contains chunks -32,32 to -1,63, blocks -512,0,512 to -1,255,1023)
	Entity's Momentum: 0.00, -0.08, 0.00
	Entity's Passengers: []
	Entity's Vehicle: ~~ERROR~~ NullPointerException: null
Stacktrace:
	at net.minecraft.world.WorldServer.func_184147_l(WorldServer.java:650)
	at net.minecraft.world.World.func_72939_s(World.java:1724)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:621)

-- Affected level --
Details:
	Level name: Corinnis
	All players: 1 total; [GCEntityPlayerMP['thedespo'/402, l='Corinnis', x=-401.65, y=71.00, z=587.26]]
	Chunk stats: ServerChunkCache: 1603 Drop: 0
	Level seed: 1276398898
	Level generator: ID 06 - BIOMESOP, ver 0. Features enabled: true
	Level generator options: 
	Level spawn location: World: (-196,64,256), Chunk: (at 12,4,0 in -13,16; contains blocks -208,0,256 to -193,255,271), Region: (-1,0; contains chunks -32,0 to -1,31, blocks -512,0,0 to -1,255,511)
	Level time: 47820024 game time, 1888 day time
	Level dimension: 0
	Level storage version: 0x04ABD - Anvil
	Level weather: Rain time: 4810 (now: true), thunder time: 11738 (now: false)
	Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
Stacktrace:
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:720)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:384)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:624)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:482)
	at java.lang.Thread.run(Thread.java:748)

-- System Details --
Details:
	Minecraft Version: 1.11.2
	Operating System: Linux (amd64) version 3.16.0-4-amd64
	Java Version: 1.8.0_131, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 629154736 bytes (600 MB) / 2546466816 bytes (2428 MB) up to 5726797824 bytes (5461 MB)
	JVM Flags: 1 total; -Xmx6144M
	IntCache: cache: 0, tcache: 0, allocated: 5, tallocated: 104
	FML: MCP 9.38 Powered by Forge 13.20.0.2312 28 mods loaded, 28 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	minecraft{1.11.2} [Minecraft] (minecraft.jar) 
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.11.2-13.20.0.2312-universal.jar) 
	UCHIJAAAA	forge{13.20.0.2312} [Minecraft Forge] (forge-1.11.2-13.20.0.2312-universal.jar) 
	UCHIJAAAA	Micdoodlecore{} [Micdoodle8 Core] (minecraft.jar) 
	UCHIJAAAA	animania{1.1.2} [Animania] (animania-1.11.2-1.1.2.jar) 
	UCHIJAAAA	bibliocraft{2.3.1} [BiblioCraft] (BiblioCraft[v2.3.1][MC1.11.2].jar) 
	UCHIJAAAA	biomesoplenty{6.1.0.2238} [Biomes O' Plenty] (BiomesOPlenty-1.11.2-6.1.0.2238-universal.jar) 
	UCHIJAAAA	buildcraftlib{7.99.4} [BuildCraft Lib] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftcore{7.99.4} [BuildCraft] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftfactory{7.99.4} [BC Factory] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcrafttransport{7.99.4} [BC Transport] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftbuilders{7.99.4} [BC Builders] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftenergy{7.99.4} [BC Energy] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftrobotics{7.99.4} [BC Robotics] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftsilicon{7.99.4} [BC Silicon] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	chiselsandbits{13.10} [Chisels & Bits] (chiselsandbits-13.10.jar) 
	UCHIJAAAA	ptrmodellib{1.0.0} [ptrmodellib] (Decocraft-2.4.2_1.11.2.jar) 
	UCHIJAAAA	props{2.4.2} [Decocraft] (Decocraft-2.4.2_1.11.2.jar) 
	UCHIJAAAA	dynmap{2.4-3} [Dynmap] (Dynmap-2.4-forge-1.11.2.jar) 
	UCHIJAAAA	flatcoloredblocks{mc1.11-5.1} [Flat Colored Blocks] (flatcoloredblocks-mc1.11-5.1.jar) 
	UCHIJAAAA	ic2{2.7.33-ex111} [IndustrialCraft 2] (industrialcraft-2-2.7.33-ex111.jar) 
	UCHIJAAAA	galacticraftcore{4.0.0} [Galacticraft Core] (GalacticraftCore-1.11.2-4.0.0.106.jar) 
	UCHIJAAAA	galacticraftplanets{4.0.0} [Galacticraft Planets] (Galacticraft-Planets-1.11.2-4.0.0.106.jar) 
	UCHIJAAAA	jei{4.4.0.283} [Just Enough Items] (jei_1.11.2-4.4.0.283.jar) 
	UCHIJAAAA	mercurius_updater{1.0} [mercurius_updater] (MercuriusUpdater-1.11.2.jar) 
	UCHIJAAAA	harvestcraft{1.11.2g} [Pam's HarvestCraft] (Pam's HarvestCraft 1.11.2h.jar) 
	UCHIJAAAA	worldedit{6.1.6} [WorldEdit] (worldedit-forge-mc1.11-6.1.6-dist.jar) 
	Loaded coremods (and transformers): 
MicdoodlePlugin (MicdoodleCore-1.11.2-4.0.0.106.jar)
  micdoodle8.mods.miccore.MicdoodleTransformer
IC2core (industrialcraft-2-2.7.33-ex111.jar)
  
	Profiler Position: N/A (disabled)
	Player Count: 1 / 20; [GCEntityPlayerMP['thedespo'/402, l='Corinnis', x=-401.65, y=71.00, z=587.26]]
	Is Modded: Definitely; Server brand changed to 'fml,forge'
	Type: Dedicated Server (map_server.txt)

Chocohead

2017-06-05 19:23

developer   ~0005294

IC2 2.7.62 should have a more comprehensive solution.

HunterzCZ

2017-06-27 12:04

reporter   ~0005326

Is this fixed in the 1.10 branch?

I have similar problem:

https://github.com/SpongePowered/SpongeForge/issues/1607

Chocohead

2017-06-27 12:45

developer   ~0005327

It was in 237

HunterzCZ

2017-06-27 12:52

reporter   ~0005328

I have build 239. It looks like my crash is due invisible seeds in the hotbar.

Chocohead

2017-06-27 19:03

developer   ~0005330

That shouldn't be possible anymore, I suppose there might be another edge case that's missed.

Issue History

Date Modified Username Field Change
2017-06-05 07:49 the.despo New Issue
2017-06-05 07:49 the.despo File Added: crash-2017-06-05_09.20.44-server.txt
2017-06-05 07:50 the.despo File Added: crash-2017-06-05_09.22.13-server.txt
2017-06-05 17:09 Chocohead Relationship added related to 0002193
2017-06-05 17:10 Chocohead Assigned To => Chocohead
2017-06-05 17:10 Chocohead Status new => confirmed
2017-06-05 19:23 Chocohead Note Added: 0005294
2017-06-05 19:23 Chocohead Status confirmed => resolved
2017-06-05 19:23 Chocohead Fixed in Version => Builds for MC 1.11.x
2017-06-05 19:23 Chocohead Resolution open => fixed
2017-06-27 12:04 HunterzCZ Note Added: 0005326
2017-06-27 12:45 Chocohead Note Added: 0005327
2017-06-27 12:52 HunterzCZ Note Added: 0005328
2017-06-27 19:03 Chocohead Note Added: 0005330